Webhooks

Delivery log

GET
/v1/webhook/deliveries

Webhook deliveries from the last 30 days, newest first.

Authorization

headerAuthorizationBearer <token>

Authorization: Bearer lsk_live_…

Query Parameters

state?string
Value in"delivered""pending""failed"
limit?integer
Range1 <= value <= 200
Default50
cursor?string

Response Body

Deliveries.

application/json
  1. response
deliveries?array<>
nextCursor?string|null
Example Request
curl -X GET 'https://api.lastscanned.com/v1/webhook/deliveries'
Example Response200
{  "deliveries": [    {      "id": "string",      "type": "tracking.updated",      "trackingNumber": "string",      "watchId": "string",      "state": "delivered",      "attempts": 0,      "lastStatus": 0,      "lastError": "string",      "createdAt": "string",      "deliveredAt": "string",      "failedAt": "string",      "nextAttemptAt": "string"    }  ],  "nextCursor": "string"}